/* $Id: isaac_utils.h,v 1.20 2013-03-12 08:06:48 llundin Exp $
 *
 * This file is part of the ISAAC Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02111-1307  USA
 */

/*
 * $Author: llundin $
 * $Date: 2013-03-12 08:06:48 $
 * $Revision: 1.20 $
 * $Name: not supported by cvs2svn $
 */

#ifndef ISAAC_UTILS_H
#define ISAAC_UTILS_H

/*-----------------------------------------------------------------------------
   								Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

/*-----------------------------------------------------------------------------
   								Includes
 -----------------------------------------------------------------------------*/

typedef enum _ISAAC_BAND_ {
    ISAAC_BAND_J,
    ISAAC_BAND_JS,
    ISAAC_BAND_JBLOCK,
    ISAAC_BAND_H,
    ISAAC_BAND_K,
    ISAAC_BAND_KS,
    ISAAC_BAND_L,
    ISAAC_BAND_M,
    ISAAC_BAND_LP,
    ISAAC_BAND_MP,
    ISAAC_BAND_Z,
    ISAAC_BAND_SZ,
    ISAAC_BAND_SH,
    ISAAC_BAND_SK,
    ISAAC_BAND_SL,
    ISAAC_BAND_UNKNOWN
} isaac_band;

/*-----------------------------------------------------------------------------
   							        Prototypes
 -----------------------------------------------------------------------------*/

const char * isaac_get_license(void);
cpl_bivector * isaac_get_offsets(const cpl_frameset *);
isaac_band isaac_get_bbfilter(const char *);
isaac_band isaac_get_associated_filter(const char *);
cpl_image * isaac_oddeven_correct(const cpl_image *);
cpl_frameset * isaac_extract_frameset(const cpl_frameset *, const char *);
const char * isaac_extract_filename(const cpl_frameset *, const char *);
const char * isaac_std_band_name(isaac_band);

#endif
